Bug 70832 - Satellite-sync throws traceback against live site
Satellite-sync throws traceback against live site
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mihai Ibanescu
Fanny Augustin
Depends On:
  Show dependency treegraph
Reported: 2002-08-05 18:24 EDT by Matt Jamison
Modified: 2007-07-31 15:12 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-07 17:51:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josef Komenda 2002-08-05 18:24:06 EDT
Description of Problem: testing the latest installer against the live site,
satellite-sync throws the following traceback: 

[root@satcd usr]# satellite-sync --all-channels --email
CONFIG PARSE WARNING: File not found or can't be read
/etc/rhn/default/rhn_server_satellite.confCONFIG PARSE WARNING: key not found
in config default dict ('server', 'satellite')
Mon Aug  5 14:21:20 2002 - Red Hat Network Satellite - live syncronization
Traceback (innermost last):
  File "/usr/bin/satellite-sync", line 29, in ?
  File "/var/www/rhns/satellite_tools/satsync.py", line 636, in main
    syncer = Syncer(mountpoint, channels, sslYN)
  File "/var/www/rhns/satellite_tools/satsync.py", line 64, in __init__
    logIt(2, 2, '   url: %s' % self.xmlWireServer.makeUrl(CFG.RHN_PARENT),
  File "/var/www/rhns/common/rhnConfig.py", line 182, in __getattr__
    raise AttributeError(key)
AttributeError: RHN_PARENT

Version-Release number of selected component (if applicable): see bug 63780

How Reproducible: satcd.rdu.redhat.com - the usual password
Comment 1 Josef Komenda 2002-08-06 11:49:27 EDT
Have tested this against QA as well - same result.
Comment 2 Mihai Ibanescu 2002-08-06 14:21:41 EDT
Fixed in the latest code (version 1.2.5-8) and pushed in QA's channel.
Comment 3 Josef Komenda 2002-08-08 10:40:43 EDT
Confirmed good. Closing.

Note You need to log in before you can comment on or make changes to this bug.